#### 28.4.4.8 The ps\_setup\_enable\_background\_threads() Procedure

[]()[]()

 Enables Performance Schema instrumentation for all background threads. Produces a result set indicating how many background threads were enabled. Already enabled threads do not count.

##### Parameters

 None.

##### Example

```
mysql> CALL sys.ps_setup_enable_background_threads();
+-------------------------------+
| summary                       |
+-------------------------------+
| Enabled 24 background threads |
+-------------------------------+
```

